Bug 244435 - SELinux needs new rule to allow xenconsoled to log in /var/log/xen/console
SELinux needs new rule to allow xenconsoled to log in /var/log/xen/console
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 202636
  Show dependency treegraph
 
Reported: 2007-06-15 13:03 EDT by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:39:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-06-15 13:03:25 EDT
Description of problem:
Bug 202636  for Xen in RHEL-5.1  adds ability for xenconsoled to persistently
log guest & hypervisor console data to files in /var/log/xen/console. The
current SELinux policy does not allow it to do this, so we need extra rules added.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-75.el5

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/sysconfig/xend and set XENCONSOLED_LOG_GUESTS=yes
2. Reboot
3. Start a new PV guest 'rhel5pv'
  
Actual results:
No log file 
type=AVC msg=audit(1181955852.515:55): avc:  denied  { create } for  pid=3320
comm="xenconsoled" name="guest-rhel5pv.log"
scontext=system_u:system_r:xenconsoled_t:s0
tcontext=system_u:object_r:xend_var_log_t:s0 tclass=file


Expected results:
Log file /var/log/xen/console/guest-rhel5pv.log  created

Additional info:
Comment 1 RHEL Product and Program Management 2007-06-15 13:14:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Daniel Walsh 2007-06-18 10:38:14 EDT
You can add this rule by executing the following command

# grep xenconsol /var/log/audit/audit.log | audit2allow -M myxen
# ls semodule -i myxen.pp

Fixed in selinux-policy-2.4.6-76
Comment 5 Eduard Benes 2007-08-22 11:35:21 EDT
Could you try the new policy available at the link below and reply 
whether the new packages solve your problem. 

http://people.redhat.com/dwalsh/SELinux/RHEL5/noarch/
Comment 8 errata-xmlrpc 2007-11-07 11:39:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html

Note You need to log in before you can comment on or make changes to this bug.